## cdrkit-1.1.3.tar.gz

=== Makefile ===
ifneq ($(CFLAGS),)
CMAKETWEAKS += ( cd build ; cmake .. -DCMAKE_C_FLAGS="$(CFLAGS)" ) || exit 1; 
endif

ifneq ($(LDFLAGS),)
CMAKETWEAKS += (cd build ; cmake .. -DCMAKE_EXE_LINKER_FLAGS:STRING="$(LDFLAGS)" -DCMAKE_MODULE_LINKER_FLAGS:STRING="$(LDFLAGS)" -DCMAKE_SHARED_LINKER_FLAGS:STRING="$(LDFLAGS)" ) || exit 1; 
endif

ifneq ($(PREFIX),)
CMAKETWEAKS += ( cd build ;  cmake .. -DCMAKE_INSTALL_PREFIX="$(PREFIX)") || exit 1; 
endif

default_target: all

DISTNAME=cdrkit-$(shell cat VERSION)

build/Makefile:
	@-mkdir build 2>/dev/null
	cd build && cmake ..

cmakepurge:
	rm -rf install_manifest.txt progress.make CMakeFiles CMakeCache.txt cmake_install.cmake 
	rm -rf */install_manifest.txt */progress.make */CMakeFiles */CMakeCache.txt */cmake_install.cmake 
	rm -rf */*/install_manifest.txt */*/progress.make */*/CMakeFiles */*/CMakeCache.txt */*/cmake_install.cmake 
	rm */Makefile */*/Makefile

clean:
	rm -rf build

release:
#	if test "$(shell svn status | grep -v -i make)" ; then echo Uncommited files found. Run \"svn status\" to display them. ; exit 1 ; fi
	@if test -f ../$(DISTNAME).tar.gz ; then echo ../$(DISTNAME).tar.gz exists, not overwritting ; exit 1; fi
	rm -rf tmp
	mkdir tmp
	svn export . tmp/$(DISTNAME)
	rm -rf tmp/$(DISTNAME)/debian
	tar -f - -c -C tmp $(DISTNAME) | gzip -9 > ../$(DISTNAME).tar.gz
	rm -rf tmp
	test -e /etc/debian_version && ln -f ../$(DISTNAME).tar.gz ../cdrkit_$(shell cat VERSION | sed -e "s,pre,~pre,").orig.tar.gz || true

#%::
#	$(MAKE) $(MAKE_FLAGS) build/Makefile
#	$(CMAKETWEAKS)
#	$(MAKE) -C build $(MAKE_FLAGS) $@

# needs to be explicite, for PHONY and install (AKA INSTALL) file on cygwin
install: build/Makefile
	$(CMAKETWEAKS)
	$(MAKE) -C build $(MAKE_FLAGS) $@

all: build/Makefile
	$(CMAKETWEAKS)
	$(MAKE) -C build $(MAKE_FLAGS) $@

.PHONY: install all

=== genisoimage/CMakeLists.txt ===
PROJECT (MKISOFS)

INCLUDE(../include/AddScgBits.cmake)
INCLUDE(../include/AddSchilyBits.cmake)

INCLUDE_DIRECTORIES(../include ../libhfs_iso ../wodim ${CMAKE_BINARY_DIR})

INCLUDE(CheckIncludeFiles)
CHECK_INCLUDE_FILES("magic.h" USE_MAGIC)
IF(USE_MAGIC)
	ADD_DEFINITIONS(-DUSE_MAGIC)
	SET(MAGICLIBS magic)
ENDIF(USE_MAGIC)

    IF(HAVE_ICONV_H)
    ADD_DEFINITIONS(-DUSE_ICONV)
    #INCLUDE(CheckLibraryExists)
#    CHECK_LIBRARY_EXISTS (iconv "iconv_open(argv[0],argv[0])" "" USE_LIBICONV)
IF(USE_LIBICONV)
    LIST(APPEND EXTRA_LIBS "iconv")
ELSE(USE_LIBICONV)
#           MESSAGE("No additional libiconv found, maybe not required. If required, change linker flags, see TROUBLESHOOTING in the INSTALL file")
ENDIF(USE_LIBICONV)
ENDIF(HAVE_ICONV_H)

ADD_DEFINITIONS(-DUSE_LARGEFILES -DABORT_DEEP_ISO_ONLY -DAPPLE_HYB -DUDF -DDVD_VIDEO -DSORTING -DHAVE_CONFIG_H -DUSE_LIBSCHILY -DUSE_SCG -DJIGDO_TEMPLATE)

SET(MKISOFS_MOST_SRCS apple.c boot.c desktop.c dvd_file.c dvd_reader.c eltorito.c exclude.c files.c fnmatch.c hash.c ifo_read.c joliet.c mac_label.c match.c multi.c name.c rock.c scsi.c stream.c tree.c udf.c vms.c volume.c write.c boot-alpha.c boot-hppa.c boot-mips.c md5.c jte.c rsync.c
 	boot-mipsel.c endian.c )
  
INCLUDE(CheckFunctionExists)
SET(CMAKE_REQUIRED_DEFINITIONS -D_GNU_SOURCE)
CHECK_FUNCTION_EXISTS("getopt_long" HAVE_GETOPT_LONG)
IF(NOT HAVE_GETOPT_LONG)
    LIST ( APPEND MKISOFS_MOST_SRCS  getopt.c getopt1.c )
ENDIF(NOT HAVE_GETOPT_LONG)
 

#SET_SOURCE_FILES_PROPERTIES(${MKISOFS_MOST_SRCS} PROPERTIES )
LINK_DIRECTORIES(../libhfs_iso ../librols ../libusal ../libunls  ../wodim)

ADD_EXECUTABLE (genisoimage genisoimage.c ${MKISOFS_MOST_SRCS})
TARGET_LINK_LIBRARIES(genisoimage wodimstuff hfs_iso  ${MAGICLIBS} c unls z ${EXTRA_LIBICONV} ${EXTRA_LIBS})

# common lib set and genisoimage source parts for the rest
LINK_LIBRARIES(wodimstuff ${EXTRA_LIBS}  unls ${EXTRA_LIBICONV} )
ADD_EXECUTABLE(devdump diag/dump.c scsi.c)
ADD_EXECUTABLE(isodebug	diag/isodebug.c scsi.c)
ADD_EXECUTABLE(isodump	diag/isodump.c scsi.c)
ADD_EXECUTABLE(isoinfo diag/isoinfo.c scsi.c)
ADD_EXECUTABLE(isovfy	diag/isovfy.c scsi.c)


SET_TARGET_PROPERTIES(genisoimage devdump isodebug isodump isoinfo isovfy PROPERTIES  SKIP_BUILD_RPATH TRUE)

INSTALL(TARGETS genisoimage devdump isodebug isodump isoinfo isovfy DESTINATION bin)
INSTALL(FILES 
genisoimage.1
diag/devdump.1
diag/isodebug.1
diag/isodump.1
diag/isoinfo.1
diag/isovfy.1
DESTINATION share/man/man1)
INSTALL(FILES genisoimagerc.5 DESTINATION share/man/man5)

=== icedax/CMakeLists.txt ===
PROJECT (icedax)
INCLUDE_DIRECTORIES(../include ../wodim ../libparanoia ${CMAKE_BINARY_DIR})
include(../include/AddScgBits.cmake)
include(../include/AddSchilyBits.cmake)
include(../include/AddNetworkBits.cmake)

FIND_FILE (HAVE_SYS_SOUNDCARD_H sys/soundcard.h)
IF(HAVE_SYS_SOUNDCARD_H)
   	ADD_DEFINITIONS(-DHAVE_SYS_SOUNDCARD_H)
ENDIF(HAVE_SYS_SOUNDCARD_H)
FIND_FILE (HAVE_LINUX_SOUNDCARD_H linux/soundcard.h)
IF(HAVE_LINUX_SOUNDCARD_H)
   	ADD_DEFINITIONS(-DHAVE_LINUX_SOUNDCARD_H)
ENDIF(HAVE_LINUX_SOUNDCARD_H)

LIST(APPEND EXTRA_LIBS  paranoia)
IF (WIN32)
	LIST(APPEND EXTRA_LIBS winmm)
ENDIF (WIN32)

LINK_DIRECTORIES(../librols ../libusal  ../libparanoia)
ADD_EXECUTABLE (icedax aifc.c aiff.c base64.c icedax.c interface.c ioctl.c raw.c resample.c ringbuff.c scsi_cmds.c semshm.c setuid.c sha_func.c sndconfig.c sun.c toc.c wav.c)
TARGET_LINK_LIBRARIES(icedax wodimstuff ${EXTRA_LIBS})
SET_TARGET_PROPERTIES(icedax PROPERTIES  SKIP_BUILD_RPATH TRUE)

INSTALL(TARGETS icedax DESTINATION bin)
INSTALL(PROGRAMS pitchplay readmult cdda2mp3 cdda2ogg DESTINATION bin)
INSTALL(FILES cdda2ogg.1 icedax.1 pitchplay.1 readmult.1 list_audio_tracks.1 DESTINATION share/man/man1)

=== libhfs_iso/CMakeLists.txt ===
PROJECT (LIBhfs_iso)
INCLUDE_DIRECTORIES(../include ../libhfs_iso ../wodim ${CMAKE_BINARY_DIR})
ADD_DEFINITIONS(-DUSE_LARGEFILES -DABORT_DEEP_ISO_ONLY -DAPPLE_HYB -DUDF -DDVD_VIDEO -DSORTING -DHAVE_CONFIG_H -DUSE_LIBSCHILY -DUSE_SCG)


SET(LIBhfs_iso_SRCS block.c btree.c data.c file.c gdata.c hfs.c low.c node.c record.c volume.c)

ADD_LIBRARY (hfs_iso STATIC ${LIBhfs_iso_SRCS})

=== libparanoia/CMakeLists.txt ===
PROJECT (LIBparanoia)
INCLUDE_DIRECTORIES(../include ${CMAKE_BINARY_DIR} ../wodim)
ADD_DEFINITIONS(-DHAVE_CONFIG_H)
SET(LIBparanoia_SRCS gap.c isort.c overlap.c p_block.c paranoia.c pmalloc.c)

ADD_LIBRARY (paranoia STATIC ${LIBparanoia_SRCS})

=== libusal/CMakeLists.txt ===
PROJECT (LIBSCG)
INCLUDE_DIRECTORIES(../include ${CMAKE_BINARY_DIR})
include(../include/AddScgBits.cmake)
ADD_DEFINITIONS(-DUSE_RCMD_RSH)

#SET(LIBSCG_SRCS rdummy.c usalsettarget.c usaltimes.c scsi-linux-ata.c scsi-linux-pg.c scsi-linux-sg.c scsierrs.c scsihack.c scsihelp.c scsiopen.c scsitransp.c)
SET(LIBSCG_SRCS usalsettarget.c usaltimes.c scsierrs.c scsihack.c scsihelp.c scsiopen.c scsitransp.c scsi-remote.c)
LINK_DIRECTORIES(../librols)
ADD_LIBRARY (usal STATIC ${LIBSCG_SRCS})
TARGET_LINK_LIBRARIES(usal ${SCG_SELF_LIBS})

=== readom/CMakeLists.txt ===
PROJECT (READECD)
INCLUDE_DIRECTORIES(../include ../wodim ${CMAKE_BINARY_DIR})
INCLUDE(../include/AddScgBits.cmake)
INCLUDE(../include/AddSchilyBits.cmake)

AUX_SOURCE_DIRECTORY(. readom_SRCS)

LINK_DIRECTORIES(../librols ../libusal  ../wodim)

ADD_DEFINITIONS(-DCLONE_WRITE)

ADD_EXECUTABLE (readom ${readom_SRCS})
TARGET_LINK_LIBRARIES(readom wodimstuff ${EXTRA_LIBS})
SET_TARGET_PROPERTIES(readom PROPERTIES  SKIP_BUILD_RPATH TRUE)

INSTALL(TARGETS readom DESTINATION bin)
INSTALL(FILES 
readom.1
DESTINATION share/man/man1)

=== wodim/CMakeLists.txt ===
PROJECT (CDRECORD)
INCLUDE_DIRECTORIES(../include ../libedc ${CMAKE_BINARY_DIR})
INCLUDE(../include/AddScgBits.cmake)
include(../include/AddSchilyBits.cmake)

#AUX_SOURCE_DIRECTORY(. CDRECORD_SRCS)
SET(CDRECORD_SRCS wodim.c audiosize.c auinfo.c  cdr_drv.c cdtext.c clone.c crc16.c cue.c  diskid.c drv_7501.c drv_jvc.c drv_mmc.c drv_philips.c drv_simul.c drv_sony.c fifo.c  isosize.c scsi_cdr_mmc4.c scsi_mmc4.c sector.c subchan.c wm_packet.c wm_session.c wm_track.c xio.c)
SET(CDRECORD_COMMON_SRCS cd_misc.c defaults.c getnum.c misc.c modes.c movesect.c scsi_cdr.c scsi_mmc.c scsi_scan.c)

INCLUDE(CheckIncludeFiles)

#force libcap usage on Linux
CHECK_INCLUDE_FILES("sys/capability.h" HAVE_SYS_CAPABILITY_H)
IF(HAVE_SYS_CAPABILITY_H)
	LIST(APPEND EXTRA_LIBS cap)
ELSE(HAVE_SYS_CAPABILITY_H)
   IF(CMAKE_SYSTEM_NAME MATCHES "Linux")
      MESSAGE(FATAL_ERROR "Error: found a Linux system but no libcap header. Install libcap-dev.")
   ENDIF(CMAKE_SYSTEM_NAME MATCHES "Linux")
ENDIF(HAVE_SYS_CAPABILITY_H)

LINK_DIRECTORIES(../librols ../libusal  ../libedc)

ADD_DEFINITIONS(-DHAVE_LIB_EDC_ECC -DCLONE_WRITE -DDRV_DVD -DFIFO -DAUINFO -DUSE_LARGEFILES )


ADD_EXECUTABLE (wodim ${CDRECORD_SRCS})
ADD_LIBRARY (wodimstuff STATIC ${CDRECORD_COMMON_SRCS})
LIST(APPEND EXTRA_LIBS wodimstuff)

TARGET_LINK_LIBRARIES(wodim ${EXTRA_LIBS}  edc)
SET_TARGET_PROPERTIES(wodim PROPERTIES SKIP_BUILD_RPATH TRUE)

INSTALL(TARGETS wodim DESTINATION bin)
INSTALL(FILES 
   wodim.1
DESTINATION share/man/man1)

=== debian/changelog ===
cdrkit (9:1.1.3-1) unstable; urgency=medium

  * New upstream version with important bugfixes
    + dealing with newline when searching for device (closes: #408456).
      Also telling the expected track size to not confuse (closes: #409005)
    + corrected picking up of the SCSI transfer size (closes: #407773)
    + correct fallback to CDR_FIFOSIZE (closes: #408840)
    + restores forgotten compiler definitions on wodim (closes: #407611)
    + provisional LFS support in UDF (closes: #401988)
    + transfer size extraction fix (part of #407773)
    + default gracetime value changed in recommendations (closes: #408844)
    + telling the user when the drive is mounted and therefore busy
      (closes: #414271)
  * Relaxed version dependency of cmake (closes: #407163)

 -- Eduard Bloch <blade@debian.org>  Mon, 26 Mar 2007 22:31:24 +0200

cdrkit (9:1.1.2-1) unstable; urgency=medium

  * New upstream version
    + mentions readom in wodim's manpage (closes: #405979)
    + subtle behaviour improvements like not allowing writting when -dummy is
      specified by user but could be ignored by the drive
  * Updated geteltorito.pl to 0.4 including patch from manty
  * installing geteltorito in genisoimage and documented it and other 3rd-party
    stuff in the genisoimage package description
  * added md5sum of Ubuntu's conffile version to the big list of obsolete
    version checksums in wodim.preinst (lp: #73832)
  * added the burnstuff script to the examples in wodim package

 -- Eduard Bloch <blade@debian.org>  Sat, 13 Jan 2007 00:45:22 +0100

cdrkit (9:1.1.1-1) unstable; urgency=medium

  * New upstream version
    + more verbose abort message if track is specified with some maintainance
      command (closes: #369677)
    + BURN-Free enabled by default (closes: #403899)
    + uses correct CFLAGS variable (closes: #402190)
    + moved *iso* manpages to section 1, many manpage fixes 
      (closes: #404289, #402044)
    + icedax.1 updates, cdda2wav specific expalanations removed
      (closes: #401821)
    + getting maximum DMA transfer size from sysfs (closes: #377069)
    + coexisting hppa/alpha boot code possible now (closes: #404986)
  * Add mkzftree binary again (sorry... closes: #402750)
  * Add /usr/bin/readcd -> readom compatibility symlink 
    (closes: #403536, #403193) and set conflict with older xcdroast package
    revisions (closes: #401791)

 -- Eduard Bloch <blade@debian.org>  Sat, 30 Dec 2006 16:45:31 +0100

cdrkit (9:1.1.0-1) unstable; urgency=low

  * Development snapshot
    + wodim.dfl updates (closes: #398357)
  * epoch increased to work around buggy packages installed by harddisk
    installation from old Knoppix versions (closes: #396599, #399995)
  * Packages renamed: cdda2wav -> icedax, mkisofs -> genisoimage,
    + cdda2wav and mkisofs retained as dummy packages.

 -- Eduard Bloch <blade@debian.org>  Sat, 02 Dec 2006 18:42:50 +0100

cdrkit (5:1.0-1) unstable; urgency=high

  [ Eduard Bloch ]
  * ATAPI -> ATA mapping and better error messages (closes: #398465)
  * more reliable FIFO process termination (closes: #398043)
  * prints burn-free message only with higher verbosity (closes: 388770)
  * sorted file list printing, by Dennis Vshivkov (closes: #278071)

  [ Joerg Jaspert ]
  *  Remove all the printing of useless messages. This is based on GPLed
     code, so we follow the letter of the GPL as it is interpreted by 99%
     of the world, including its authors. Especially as Joerg was never able
     to give us any clear explanation what other license he may think
     cdrtools had, despite us asking multiple times. So we have no other
     choice than to take whats written down, and thats GPL.
  * The above fixes "license needs to be clarified" as well as
    "Cdrkit possibly made non-free by former upstream, refuses
    clarification"(Closes: #387783, #392342).
    Note that I do not remove the "You may not return schily" clauses.
    They are, in my understanding, valid requests an upstream can make, not
    including his name if he doesn't want it. They are also no problem for
    anyone, anywhere, the other stuff was.
  * Was included earlier, close Bug "diff for 5:1.0~pre4-1.1 NMU" (Closes: #388595).
  * Bug fix: "wodim: Spelling error in output of -checkdrive", thanks to
    Alexey Feldgendler (Closes: #389135).
  * Urgency high.

 -- Joerg Jaspert <joerg@debian.org>  Mon, 20 Nov 2006 19:42:09 +0100

cdrkit (5:1.0~pre5-1) unstable; urgency=low

  * New upstream source snapshot
    + typos in wodim.1 fixes, thanks to J. Alto (closes: #386898)
    + enabled libedc support (closes: #387429)
    + reenabled REMOTE target support (closes: #396460)
    + terminates FIFO process on exist (closes: #397271)
    + option (env. variable) to skip DMA tests (closes: #293953)
  * fixed installation of FAQ and FORK files (closes: #386735)
  * remove . from the include list, patch by Modestas Vainius (closes: 358497)
  * cdda2ogg/cdda2mp3 are unified, installing cdda2mp3 as symlink
  * remove . from the include list, patch by Modestas Vainius
    (closes: #358497, acknowledging NMU by Steinar H. Gunderson)
  * readded mkzftree to the mkisofs package (closes: #387927)
  * wodim.preinst: remove unchanged old config files, dangling symlinks to
    them, old "convinience" symlinks, preinstalls user-modified files to the
    new target locations /etc/{wodim,rscsi}.conf 
    (closes: #388403, #390084, #388119, #387854)

 -- Eduard Bloch <blade@debian.org>  Tue, 07 Nov 2006 11:56:05 +0100

cdrkit (5:1.0~pre4-1) unstable; urgency=low

  [ Peter Samuelson ]
  * clean target fixes to purge zisofs leftovers

  [ Eduard Bloch ]
  * added detection for libcam header (closes: #385975)

  [ Joerg Jaspert ]
  * Added link for cdrecord manpage to dummy package, thanks to Ryan Finnie

 -- Joerg Jaspert <joerg@debian.org>  Tue,  5 Sep 2006 12:15:45 +0200

cdrkit (5:1.0~pre3-1) unstable; urgency=low

  [ Eduard Bloch ]
  * New upstream snapshot


=== debian/control ===
Source: cdrkit
Priority: optional
Section: otherosfs
Maintainer: Joerg Jaspert <joerg@debian.org>
Uploaders: Eduard Bloch <blade@debian.org>, Steve McIntyre <93sam@debian.org>
Build-Depends: debhelper (>=5.0.37.3), zlib1g-dev, autotools-dev, cmake (>= 2.4.2-1), libcap-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], libcam-dev [kfreebsd-i386 kfreebsd-amd64], libmagic-dev
Standards-Version: 3.7.2

Package: wodim
Architecture: any
Depends: ${shlibs:Depends}
Recommends: genisoimage
Replaces: cdrtools-doc (<< 5:1.0~pre1-1), cdrecord (<< 5:1.0~pre1-1)
Suggests: cdrkit-doc
Conflicts: cdrecord (<< 5:1.0~pre1-1), xcdroast (<< 0.98+0alpha15-11)
Description: command line CD/DVD writing tool
 wodim allows you to create CDs or DVDs on a CD/DVD recorder.
 It supports writing data, audio, mixed, multi-session, and CD+ disc and DVD
 data and video disks on DVD capable devices, on just about every type of
 CD/DVD recorder out there.
 .
 Please install cdrkit-doc if you want most of the documentation and
 README files.

Package: genisoimage
Architecture: any
Depends: ${shlibs:Depends}
Suggests: wodim, cdrkit-doc
Replaces: mkisofs (<< 9:1.0)
Conflicts: mkhybrid, mkisofs (<< 9:1.0)
Description: Creates ISO-9660 CD-ROM filesystem images
 genisoimage is a pre-mastering program for creating ISO-9660 CD-ROM 
 filesystem images, which can then be written to CD or DVD media using
 the wodim program. genisoimage includes support for making bootable
 "El Torito" CDs, as well as CDs with support for the
 Macintosh HFS filesystem.
 .
 The package also includes extra tools useful for working with ISO images:
  * mkzftree - create ISO-9660 image with compressed contents
  * dirsplit - easily separate large directory contents into disks of
    predefined size
  * geteltorito - extract an El Torito boot image from a CD image
 .
 Please install cdrkit-doc if you want most of the documentation and
 README files.

Package: icedax
Architecture: any
Suggests: vorbis-tools, cdrkit-doc
Depends: ${shlibs:Depends}
Section: sound
Replaces: cdda2wav (<< 9:1.0)
Conflicts: cdda2wav (<< 9:1.0)
Description: Creates WAV files from audio CDs
 icedax lets you digitally copy ("rip") audio tracks from a CD, avoiding
 the distortion that is introduced when recording via a sound card. Data 
 can be dumped into raw (cdr), wav or sun format sound files. Options control
 the recording format (stereo/mono; 8/16 bits; sampling rate, etc).
 .
 Please install cdrkit-doc if you want most of the documentation and
 README files.

Package: cdrkit-doc
Architecture: all
Section: doc
Replaces: cdrtools-doc
Conflicts: cdrtools-doc
Suggests: wodim, genisoimage, icedax
Description: Documentation for the cdrkit package suite
 This is the documentation for the cdrkit package suite, namely
 wodim, genisoimage and icedax.


Package: cdrecord
Architecture: all
Depends: wodim (>= 5:1.0~pre1-1), debconf | debconf-2.0
Description: Dummy transition package for wodim
 This is a dummy package to ease the transition to wodim, the fork of
 cdrecord.  It provides a cdrecord symlink to wodim for compatibility
 purposes.  Please use wodim instead of cdrecord.

Package: mkisofs
Architecture: all
Depends: genisoimage
Description: Dummy transition package for genisoimage
 This is a dummy package to ease the transition to genisoimage, the
 fork of mkisofs.  It provides a mkisofs symlink to genisoimage for
 compatibility purposes.  Please use genisoimage instead of mkisofs.

Package: cdda2wav
Architecture: all
Depends: icedax
Section: sound
Description: Dummy transition package for icedax
 This is a dummy package to ease the transition to icedax, the fork of
 cdda2wav.  It provides a cdda2wav symlink to icedax for compatibility
 purposes.  Please use icedax instead of cdda2wav.

=== debian/rules ===
#!/usr/bin/make -f
#
# debian/rules file for cdrkit.  GPL2
# Original from Erik Andersen <andersee@debian.org>
#

PACKAGE = cdrkit

CFLAGS = -g
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
CFLAGS += -O0
else
CFLAGS += -O2
endif

i=$(shell pwd)/debian/tmp/usr
b=$(shell pwd)/debian/build
iso=genisoimage
cdd=icedax
cdr=wodim
ziso_VERSION = $(shell cat 3rd-party/zisofs_tools/version)
source_VERSION= $(shell dpkg-parsechangelog | sed -ne '/^Version:/s/^V.*://p')


build: build/build-debstamp
build/build-debstamp:
#	@if test -f ../cdrkit_$(source_VERSION).tar.gz ; then \
#		echo "You should not create native packages! Remove ../cdrkit_$(source_VERSION).tar.gz and copy upstream source to .orig.tar.gz" ; \
#		exit 1 ; \
#	fi
	@echo "--- Compiling"
	dh_testdir
	echo "#define ZISOFS_TOOLS_VERSION \"$(ziso_VERSION)\"" > 3rd-party/zisofs_tools/version.h
	make CFLAGS='$(CFLAGS)'
	cd 3rd-party/zisofs_tools && CFLAGS='$(CFLAGS)' ./configure && $(MAKE)
	touch build/build-debstamp

clean:
	@echo "--- Cleaning"
	dh_testdir
	dh_testroot
	-$(MAKE) -C 3rd-party/zisofs_tools distclean
	-./.clean
	dh_clean -k
	 # clean up the stuff dh_clean leaves behind
	-rm -rf debian/build debian/files
	-rm -f `find . -name "*~"`
	-rm -rf `find . -name "\.deps"`
	-rm -rf `find . -name "\.libs"`
	-rm -rf `find . -name "*\.rej"`
	-rm -rf build

install: build build/install-debstamp
build/install-debstamp:
	@echo "--- Installing"
	dh_testdir
	dh_testroot
	dh_clean
	rm -rf $(b)
	make install PREFIX=$(i)

	install -m 755 3rd-party/geteltorito/geteltorito.pl $(i)/bin/geteltorito
	install -m 755 3rd-party/zisofs_tools/mkzftree $(i)/bin/
	install -m 755 icedax/cdda2ogg $(i)/bin/
	install -m 755 icedax/cdda2mp3 $(i)/bin/
	install -m 755 icedax/readmult $(i)/bin/
	install -m 755 icedax/pitchplay $(i)/bin/
	touch build/install-debstamp

binary-indep: build install cdrkit-doc cdrecord cdda2wav mkisofs

binary-arch: build install wodim icedax genisoimage

#
# wodim
#

wodim: install
	@echo "--- Building: $@"
	dh_installdirs 		 -p$@ -P$(b)/$@ 
	cp -a wodim/wodim.dfl $(b)/$@/etc/wodim.conf
	cp -a netscsid/netscsid.dfl $(b)/$@/etc/netscsid.conf
#	cp debian/reportbug.presubj $(b)/$@/usr/share/bug/wodim/presubj
	dh_link              -p$@ -P$(b)/$@ 
	dh_installdocs       -p$@ -P$(b)/$@
	dh_installchangelogs -p$@ -P$(b)/$@ Changelog
	dh_install			 -p$@ -P$(b)/$@
	dh_strip             -p$@ -P$(b)/$@
	dh_installexamples   -p$@ -P$(b)/$@ netscsid/netscsid.dfl wodim/wodim.dfl misc/burnstuff
	dh_compress          -p$@ -P$(b)/$@
	dh_fixperms          -p$@ -P$(b)/$@
	dh_installdeb        -p$@ -P$(b)/$@
	dh_shlibdeps         -p$@ -P$(b)/$@
	dh_installdebconf    -p$@ -P$(b)/$@
	dh_gencontrol        -p$@ -P$(b)/$@
	dh_makeshlibs        -p$@ -P$(b)/$@ -V
	dh_md5sums           -p$@ -P$(b)/$@
	dh_builddeb          -p$@ -P$(b)/$@

#
# cdrecord dummy one
#

cdrecord: install
	@echo "--- Building: $@"
	dh_installdirs 		 -p$@ -P$(b)/$@ 
	dh_link              -p$@ -P$(b)/$@ 
	dh_install			 -p$@ -P$(b)/$@
	dh_compress          -p$@ -P$(b)/$@
	dh_fixperms          -p$@ -P$(b)/$@
	dh_installdeb        -p$@ -P$(b)/$@
	dh_gencontrol        -p$@ -P$(b)/$@
	dh_makeshlibs        -p$@ -P$(b)/$@ -V
	dh_md5sums           -p$@ -P$(b)/$@
	dh_builddeb          -p$@ -P$(b)/$@

#
# cdda2wav dummy one
#

cdda2wav: install
	@echo "--- Building: $@"
	dh_installdirs 		 -p$@ -P$(b)/$@ 
	dh_link              -p$@ -P$(b)/$@ 
	dh_install			 -p$@ -P$(b)/$@
	dh_compress          -p$@ -P$(b)/$@
	dh_fixperms          -p$@ -P$(b)/$@
	dh_installdeb        -p$@ -P$(b)/$@
	dh_gencontrol        -p$@ -P$(b)/$@
	dh_makeshlibs        -p$@ -P$(b)/$@ -V
	dh_md5sums           -p$@ -P$(b)/$@
	dh_builddeb          -p$@ -P$(b)/$@


#
# mkisofs dummy one
#

mkisofs: install
	@echo "--- Building: $@"
	dh_installdirs 		 -p$@ -P$(b)/$@ 
	dh_link              -p$@ -P$(b)/$@ 
	dh_install			 -p$@ -P$(b)/$@
	dh_compress          -p$@ -P$(b)/$@
	dh_fixperms          -p$@ -P$(b)/$@
	dh_installdeb        -p$@ -P$(b)/$@
	dh_gencontrol        -p$@ -P$(b)/$@
	dh_makeshlibs        -p$@ -P$(b)/$@ -V
	dh_md5sums           -p$@ -P$(b)/$@
	dh_builddeb          -p$@ -P$(b)/$@

#
# genisoimage
#

genisoimage: install
	@echo "--- Building: $@"
	dh_installdirs 		 -p$@ -P$(b)/$@ 
	dh_installdocs       -p$@ -P$(b)/$@
	dh_installchangelogs -p$@ -P$(b)/$@ $(iso)/ChangeLog zisofs_tools/CHANGES
	dh_install           -p$@ -P$(b)/$@
	dh_installman        -p$@ -P$(b)/$@ 3rd-party/zisofs_tools/mkzftree.1
#	cp debian/reportbug.presubj $(b)/$@/usr/share/bug/mkisofs/presubj
#	rm -f $(b)/$@/usr/bin/mkhybrid $(b)/$@/usr/share/man/man8/mkhybrid*
	dh_link              -p$@ -P$(b)/$@
	dh_strip             -p$@ -P$(b)/$@
	dh_compress          -p$@ -P$(b)/$@
	dh_fixperms          -p$@ -P$(b)/$@
	dh_installdeb        -p$@ -P$(b)/$@
	dh_shlibdeps         -p$@ -P$(b)/$@
	dh_gencontrol        -p$@ -P$(b)/$@
	dh_makeshlibs        -p$@ -P$(b)/$@ -V
	dh_md5sums           -p$@ -P$(b)/$@
	dh_builddeb          -p$@ -P$(b)/$@


#
# icedax
#

icedax: install
	@echo "--- Building: $@"
	dh_installdirs 		 -p$@ -P$(b)/$@ 
	dh_installdocs       -p$@ -P$(b)/$@ 
	dh_installchangelogs -p$@ -P$(b)/$@ 
	dh_install           -p$@ -P$(b)/$@
#	cp debian/reportbug.presubj $(b)/$@/usr/share/bug/icedax/presubj
	dh_strip             -p$@ -P$(b)/$@
	chmod 755 $(b)/$@/usr/bin/cdda2*
	dh_link              -p$@ -P$(b)/$@
	chmod 755 $(b)/$@/usr/bin/readmult
	chmod 755 $(b)/$@/usr/bin/pitchplay
	dh_installman        -p$@ -P$(b)/$@
# cludge, integrate into the official BS later
#	dh_installman        -p$@ -P$(b)/$@ doc/readmult.man doc/pitchplay.man doc/list_audio_tracks.man
	dh_compress          -p$@ -P$(b)/$@
	dh_fixperms          -p$@ -P$(b)/$@
	dh_installdeb        -p$@ -P$(b)/$@
	dh_shlibdeps         -p$@ -P$(b)/$@
	dh_gencontrol        -p$@ -P$(b)/$@
	dh_makeshlibs        -p$@ -P$(b)/$@ -V
	dh_md5sums           -p$@ -P$(b)/$@
	dh_builddeb          -p$@ -P$(b)/$@


#
# cdrkit-doc
#

cdrkit-doc: install
	@echo "--- Building: $@"
	dh_installdirs 		 -p$@ -P$(b)/$@ 
	dh_installdocs       -p$@ -P$(b)/$@
	dh_installchangelogs -p$@ -P$(b)/$@
	dh_install           -p$@ -P$(b)/$@
	dh_link              -p$@ -P$(b)/$@
	@-find $(b)/$@ | grep '\.svn' | xargs rm -rf
#	dh_strip             -p$@ -P$(b)/$@
	dh_compress          -p$@ -P$(b)/$@
	dh_fixperms          -p$@ -P$(b)/$@
	dh_installdeb        -p$@ -P$(b)/$@
#	dh_shlibdeps         -p$@ -P$(b)/$@
	dh_gencontrol        -p$@ -P$(b)/$@
	dh_md5sums           -p$@ -P$(b)/$@
	dh_builddeb          -p$@ -P$(b)/$@

binary: binary-indep binary-arch
.PHONY: binary clean binary-indep binary-arch build install install-save install-saved
